import QtQuick 1.1
import "../ui/Table"

Item {
    id: root
    anchors.fill: parent

    Table {
        anchors.fill: parent

        seat_width: 120
        seat_height: 120

        seat_avatar_width: 80
        seat_avatar_height: 80

//        button_test.height: 24

        Component.onCompleted:  {

            label_tax.anchors.bottomMargin = 270;
            label_tax.font.pixelSize = 12;
            label_mainpot.font.pixelSize = 20;
            label_mainpot.anchors.horizontalCenterOffset = -200;
            label_mainpot.anchors.topMargin = 10;
            label_call.anchors.horizontalCenterOffset = 150;

            seat_1.label_bet_x_5 = 30;
            seat_1.label_bet_y_5 = -30;
            seat_1.label_bet_x_9 = 30;
            seat_1.label_bet_y_9 = -30;
            seat_1.bottom_margin_5 = 10;
            seat_1.bottom_margin_9 = 10;
            seat_1.chatballoon_x_5 = -30;
            seat_1.chatballoon_y_5 = -60;
            seat_1.chatballoon_x_9 = -30;
            seat_1.chatballoon_y_9 = -60;

            seat_2.label_bet_x_5 = 130;
            seat_2.label_bet_y_5 = 70;
            seat_2.label_bet_x_9 = 130;
            seat_2.label_bet_y_9 = 70;
            seat_2.bottom_margin_5 = 180;
            seat_2.bottom_margin_9 = 68;
            seat_2.chatballoon_x_5 = 20;
            seat_2.chatballoon_y_5 = 10;
            seat_2.chatballoon_x_9 = seat_2.chatballoon_x_5;
            seat_2.chatballoon_y_9 = seat_2.chatballoon_y_5;

            seat_3.label_bet_x_5 = 30;
            seat_3.label_bet_y_5 = 130;
            seat_3.label_bet_x_9 = seat_2.label_bet_x_9;
            seat_3.label_bet_y_9 = 70;
            seat_3.right_margin_5 = 80;
            seat_3.top_margin_9 = 170;
            seat_3.chatballoon_x_5 = 20;
            seat_3.chatballoon_y_5 = 20;
            seat_3.chatballoon_x_9 = seat_2.chatballoon_x_9;
            seat_3.chatballoon_y_9 = seat_2.chatballoon_y_9;

            seat_4.label_bet_x_5 = seat_3.label_bet_x_5;
            seat_4.label_bet_y_5 = seat_3.label_bet_y_5;
            seat_4.label_bet_x_9 = seat_2.label_bet_x_9;
            seat_4.label_bet_y_9 = 80;
            seat_4.left_margin_5 = 80;
            seat_4.top_margin_9 = 48;
            seat_4.chatballoon_x_5 = -140;
            seat_4.chatballoon_y_5 = seat_3.chatballoon_y_5;
            seat_4.chatballoon_x_9 = seat_2.chatballoon_x_9;
            seat_4.chatballoon_y_9 = 60;

            seat_5.label_bet_x_5 = -60;
            seat_5.label_bet_y_5 = seat_2.label_bet_y_5;
            seat_5.label_bet_x_9 = 50;
            seat_5.label_bet_y_9 = 130;
            seat_5.bottom_margin_5 = seat_2.bottom_margin_5;
            seat_5.right_margin_9 = 80;
            seat_5.chatballoon_x_5 = seat_4.chatballoon_x_5;
            seat_5.chatballoon_y_5 = seat_2.chatballoon_y_5;
            seat_5.chatballoon_x_9 = -140;
            seat_5.chatballoon_y_9 = seat_4.chatballoon_y_9;

            seat_6.left_margin_9 = 80;
            seat_6.label_bet_x_9 = 20;
            seat_6.label_bet_y_9 = seat_5.label_bet_y_9;
            seat_6.chatballoon_x_9 = -140;
            seat_6.chatballoon_y_9 = seat_4.chatballoon_y_9;

            seat_7.top_margin_9 = seat_4.top_margin_9;
            seat_7.label_bet_x_9 = -60;
            seat_7.label_bet_y_9 = seat_4.label_bet_y_9;
            seat_7.chatballoon_x_9 = seat_6.chatballoon_x_9;
            seat_7.chatballoon_y_9 = seat_4.chatballoon_y_9;

            seat_8.top_margin_9 = seat_3.top_margin_9;
            seat_8.label_bet_x_9 = seat_7.label_bet_x_9;
            seat_8.label_bet_y_9 = seat_3.label_bet_y_9;
            seat_8.chatballoon_x_9 = seat_6.chatballoon_x_9;
            seat_8.chatballoon_y_9 = seat_3.chatballoon_y_9;

            seat_9.bottom_margin_9 = seat_2.bottom_margin_9;
            seat_9.label_bet_x_9 = seat_7.label_bet_x_9;
            seat_9.label_bet_y_9 = seat_2.label_bet_y_9;
            seat_9.chatballoon_x_9 = seat_6.chatballoon_x_9;
            seat_9.chatballoon_y_9 = seat_2.chatballoon_y_9;

            seat_bar_chips_height = 20;
            seat_bar_chips_font_size = 18;
            seat_bar_title_height = 20;
            seat_bar_title_name_font_size = 18;
            seat_bar_title_action_font_size = 18;

            seat_label_bet_width = 50;
            seat_label_bet_height = 24;
            seat_label_bet_font_size = 20;

            seat_card_height = 70;
            seat_icon_cardsback_height = 30;
            seat_icon_dealer_height = 14;
            seat_gift_height = 64;

            seat_chatballoon_width = 200;
            seat_chatballoon_height = 80;
            seat_chatballoon_font_size = 16;

            seat_button_sitdown_height = 64;

            deck.height = 90;
            deck.anchors.verticalCenterOffset = -30;

            bar_tip.height = 40;
            bar_tip.width = 300;
            bar_tip.font.pixelSize = 28;

            button_chat.width = 48;
            button_chat.anchors.bottomMargin = 10;

            dialog_waitforothers.width = 340;
            dialog_waitforothers.height = 70;
            dialog_waitforothers.text_title.font.pixelSize = 30;

            dialog_waitfornexthand.width = 340;
            dialog_waitfornexthand.height = 70;
            dialog_waitfornexthand.text_title.font.pixelSize = 30;

            dialog_chat.width = 420;
            dialog_chat.height = 40;
            dialog_chat.anchors.verticalCenterOffset = -82;
            dialog_chat.input_box.pixelSize = 30;

            dialog_seatinfo.width = 240;
            dialog_seatinfo.height = 250;
            dialog_seatinfo.image_avatar.height = 80;
            dialog_seatinfo.button_buddy.height = 80;
            dialog_seatinfo.text_name.font.pixelSize = 24;
            dialog_seatinfo.button_close.height = 48;
            dialog_seatinfo.button_sendgift.width = 64;

            dialog_sendchips.width = 400;
            dialog_sendchips.height = 240;
            dialog_sendchips.text_value.font.pixelSize = 40;
            dialog_sendchips.text_dailylimit.font.pixelSize = 24;
            dialog_sendchips.button_send.height = 60;
            dialog_sendchips.row_chips.height = 80;
            dialog_sendchips.row_chips.spacing = 10;

            dialog_giftstore.width = 400;
            dialog_giftstore.height = 270;
            dialog_giftstore.cell_width = 60;
            dialog_giftstore.cell_height = 80;
            dialog_giftstore.cell_text_font_size = 24;
            dialog_giftstore.button_close.height = 48;

            dialog_bet.width = 600;
            dialog_bet.height = 330;
            dialog_bet.label_value.font.pixelSize = 48;
            dialog_bet.chips_list.cellHeight = 84;
            dialog_bet.anchors.bottomMargin = 10;
            dialog_bet.button_width = 120;
            dialog_bet.button_height = 60;

            dialog_quit.dialog_width = 400;
            dialog_quit.dialog_height = 180;
            dialog_quit.label_title.font.pixelSize = 32;
            dialog_quit.label_message.font.pixelSize = 40;
            dialog_quit.button_width = 120;
            dialog_quit.button_height = 60;
            dialog_quit.image_girl_height = 64;

            dialog_disconnectedfromgamed.dialog_width = 400;
            dialog_disconnectedfromgamed.dialog_height = 200;
            dialog_disconnectedfromgamed.label_title.font.pixelSize = 28;
            dialog_disconnectedfromgamed.label_message.font.pixelSize = 34;
            dialog_disconnectedfromgamed.button_width = 120;
            dialog_disconnectedfromgamed.button_height = 50;
            dialog_disconnectedfromgamed.image_girl_height = 100;

            dialog_dailybonus.width = 400;
            dialog_dailybonus.height = 190;
            dialog_dailybonus.button_close.height = 36;
            dialog_dailybonus.image_girl.height = 48;
            dialog_dailybonus.label_dailybonus.font.pixelSize = 36;
            dialog_dailybonus.label_youwon.font.pixelSize = 26;
            dialog_dailybonus.label_chips.font.pixelSize = 40;
            dialog_dailybonus.label_comebacktomorrow.font.pixelSize = 32;

            dialog_noenoughchips.width = 400;
            dialog_noenoughchips.height = 200;
            dialog_noenoughchips.text_title.font.pixelSize = 32;
            dialog_noenoughchips.text_wait.font.pixelSize = 24;
            dialog_noenoughchips.text_or.font.pixelSize = 36;
            dialog_noenoughchips.text_buy_chips.font.pixelSize = 24;
            dialog_noenoughchips.button_close.height = 48;
            dialog_noenoughchips.image_girl.height = 64;
            dialog_noenoughchips.button_store.height = 64;

            dialog_servernoservice.width = 500;
            dialog_servernoservice.height = 160;
            dialog_servernoservice.text.font.pixelSize = 32;
            dialog_servernoservice.image_girl.height = 64;
            dialog_servernoservice.button_close.height = 48;

            dialog_buyin.form.width = 550;
            dialog_buyin.form.height = 380;
            dialog_buyin.grid_chips.cellHeight = 64;
            dialog_buyin.grid_chips.anchors.topMargin = 10;
            dialog_buyin.button_width = 120;
            dialog_buyin.button_heigth = 50;
            dialog_buyin.button_spacing = 6;
            dialog_buyin.button_font_size = 20
            dialog_buyin.text_min.font.pixelSize = 36;
            dialog_buyin.text_title.font.pixelSize = 32;
            dialog_buyin.text_value.font.pixelSize = 24;
            dialog_buyin.text_your_coins.font.pixelSize = 24;


            action_bar.height = 50;
            action_bar.width = 550;
            action_bar.anchors.leftMargin = 210;
            action_bar.button_width = 94;

            button_test.height = 48;

            menu.width = 120;
            menu.height = 50;
            menu.rect_menu.width = 150;
            menu.menu_column_height = 60;

        }


    }
}
