//.pragma library
Qt.include('httplib.js')

function loadBuddys() {
    var args = {};
    args.headers = {
        "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("username=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("password=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    var a = post("http://holdem2.piegames.net/buddy/buddys.php", args);
    a.onDone.push(function(value, info) {
        myApp.buddyGotBuddys(value);
    });
    a.onError.push(function(error, info) {
        console.log("onError" + error + info);
    });
}

function loadBuddyDetail(b_id) {
    var args = {};
    args.headers = {
        "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("username=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("password=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("game=holdem2");
    args.options.push("b_id=" + b_id);
    var a = post("http://holdem2.piegames.net/buddy/detail.php", args);
    a.onDone.push(function(value, info) {
//        console.log("onDone" + value +  info);
        myApp.buddyGotDetail(value);
    });
    a.onError.push(function(error, info) {
        console.log("onError" + error + info);
    });
}

function approveBuddyRequest(b_id) {
    var args = {};
    args.headers = {
        "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("username=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("password=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("game=holdem2");
    args.options.push("b_id=" + b_id);
    args.options.push("action=approve");
    var a = post("http://holdem2.piegames.net/buddy/detail.php", args);
    a.onDone.push(function(value, info) {
        console.log("onDone" + value +  info);
        //myApp.buddyGotDetail(value);
    });
    a.onError.push(function(error, info) {
        console.log("onError" + error + info);
    });
}

function deleteBuddyRequest(b_id) {
    var args = {};
    args.headers = {
        "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("username=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("password=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("game=holdem2");
    args.options.push("b_id=" + b_id);
    args.options.push("action=delete");
    var a = post("http://holdem2.piegames.net/buddy/detail.php", args);
    a.onDone.push(function(value, info) {
//        console.log("onDone" + value +  info);
//        myApp.buddyGotDetail(value);
    });
    a.onError.push(function(error, info) {
        console.log("onError" + error + info);
    });
}

function changeBuddyName(b_id, new_name) {
    var args = {};
    args.headers = {
        "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("username=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("password=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("game=holdem2");
    args.options.push("b_id=" + b_id);
    args.options.push("action=change_name");
    args.options.push("new_name=" + new_name);
    var a = post("http://holdem2.piegames.net/buddy/detail.php", args);
    a.onDone.push(function(value, info) {
//        console.log("onDone" + value +  info);
        myApp.buddyGotDetail(value);
    });
    a.onError.push(function(error, info) {
        console.log("onError" + error + info);
    });
}
