import QtQuick 1.1
import "../ui/MainMenu"

Item {
    id: root
    anchors.fill: parent

    MainMenu {
        id: mainmenu
        anchors.fill: parent

        versionInfo.anchors.left: mainmenu.left
        versionInfo.anchors.top: mainmenu.top

        navigator.anchors.centerIn: mainmenu
        navigator.height: 160
        navigator_font_size: 24
        navigator_button_width: 180

        myInfo.height: 64
        myInfo.width: 200
        myinfo_name_font_size: 28
        myinfo_chips_font_size: 24
        Component.onCompleted: {
            dialog_signup.rect_signup.height = 250;

            dialog_error.dialog_width = 400;
            dialog_error.dialog_height = 280;
            dialog_error.label_title.font.pixelSize = 36;
            dialog_error.label_message.font.pixelSize = 24;
            dialog_error.button_width = 80;
            dialog_error.button_height = 40;
            dialog_error.image_girl_height = 64;

            dialog_update.dialog_width = 400;
            dialog_update.dialog_height = 240;
            dialog_update.label_title.font.pixelSize = 36;
            dialog_update.label_message.font.pixelSize = 24;
            dialog_update.button_width = 100;
            dialog_update.button_height = 40;
            dialog_update.image_girl_height = 64;


        }

    }

}
