import QtQuick 1.1

Item  {
    id: root
    width: 200
    height: 30
    property variant chips: 0
    property alias text_chips: txtChips
    property int rank:0
    property alias text_rank: txtRank
    property int offset: 0
    property alias text_offset: txtOffset

    Text {
        id: txtChips
        text: qsTr("You:") + root.chips
        color: "white"
        width: 140
        height: parent.height
        font.pixelSize: 14
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignLeft
    }
    Text {
        id: txtRank
        text: "No." + root.rank
        anchors.left: txtChips.right
        anchors.leftMargin: 6
        color: "white"
        width: 20
        height: parent.height
        font.pixelSize: 14
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignLeft
    }
    Text {
        id: txtOffset
        anchors.left: txtRank.right
        anchors.leftMargin: 6
        color: "white"
        width: 20
        height: parent.height
        font.pixelSize: 14
        text: root.offset >= 0 ? "+" + root.offset : root.offset
        visible: root.offset !== 0
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignLeft
    }
}
