import QtQuick 1.1
import "../common"
Item {
    id: root
    height: 36
    property int spacing: 6
    width: height * 4 + spacing * 3 //spacing *

    signal settings()
    signal store()
    signal help()
    signal close()

    Row {
        spacing: root.spacing
        ImageButton {
            height: root.height
            width: height
            source: "../../images/MainMenu/settings.png"
            onClicked: root.settings()
        }
        ImageButton {
            height: root.height
            width: height
            source: "../../images/MainMenu/store.png"
            onClicked: root.store()
        }
        ImageButton {
            height: root.height
            width: height
            source: "../../images/MainMenu/help.png"
            onClicked: root.help()
        }
        ImageButton {
            height: root.height
            width: height
            source: "../../images/MainMenu/close.png"
            onClicked: root.close()
            visible: myApp.mainmenuGetButtonCloseVisible()
        }
    }
}
