import QtQuick 1.1

Item {
    id: root
    width: txtProductName.width
    height: 62
    signal clicked()

    property alias product_txt: txtProductName.text
    property alias product_font: txtProductName.font
    property alias version_name: txtVersion.text
    property alias version_font: txtVersion.font
    Column {
        Text {
            id: txtProductName
            text: myApp.getProductName()
            horizontalAlignment: Text.AlignLeft
            color: "white"
            font.bold: true
            font.pixelSize: 20
        }
        Text {
            width: txtProductName.width
            id: txtVersion
            text: myApp.getVersionInfo()
            horizontalAlignment: Text.AlignRight
            color: "white"
            font.pixelSize: 14
        }
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            root.clicked();
        }
    }

}
