import QtQuick 1.1
import "../common"

Item {
    id: root
    height: 60
    width: 100
    property alias text: txt
    property int font_size: 14
    Rectangle {
        anchors.fill: parent
        radius: 10
        color: "#6495ED"
    }
    Text {
        id: txt
        text: qsTr("texadjasdfasdfadfasdfafasdadfafasdfasfafdsfadfasdfasdfafasdfasdfasdfadsfafasdfast")
        anchors.fill: parent
        anchors.margins: 4
        wrapMode: Text.WrapAnywhere
        elide: Text.ElideRight
        maximumLineCount: 3
        font.pixelSize: root.font_size
    }
    Timer {
        id: timer
        running: false
        interval: 2600
        onTriggered: {
            root.hide();
        }
    }

//    states: [
//        State {
//            name: "name"
//            PropertyChanges {
//                target: object

//            }
//        },
//        State {
//            name: "name"
//            PropertyChanges {
//                target: object

//            }
//        }
//    ]
    function show(s) {
        hide();
        txt.text = s;
        timer.interval = 3 * 1000;
        timer.start();
        visible = true;
    }
    function hide() {
        timer.stop();
        visible = false;
    }
}
