import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 130
    height: 20
    property alias text_chips: txtChips
    property variant chips: 0
    Rectangle {
        anchors.fill: parent
        color: "red"
        radius: 4
        visible: myApp.getDebugMode()
    }
    Text {
        id: txtChips
        text: Math.round(root.chips)
        anchors.fill: parent
        color: "white"
        horizontalAlignment: Text.AlignRight
        verticalAlignment: Text.AlignVCenter
    }

/*
animation can't use, because animation can't process from -> to value is uint64
  */
//    NumberAnimation {
//        id: animation
//        target: root
//        property: "chips"
//        duration: 1600
//    }
}
