import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 300
    height: 50
    property alias text_title: txtTitle
    Rectangle {
        anchors.fill: parent
        color: "black"
        radius: 10
        Image {
            source: "../../images/Table/girl.png"
            anchors.left: parent.left
            anchors.bottom: parent.bottom
        }
        Image {
            source: "../../images/Table/panel_close.png"
            anchors.right: parent.right
            anchors.top: parent.top
        }
        Text {
            id: txtTitle
            text: qsTr("wait for others")
            color: "white"
            anchors.centerIn: parent
            anchors.top: parent.top
            anchors.topMargin: 6
            font.pixelSize: 20
        }
        MouseArea {
            anchors.fill: parent
            onPressed: {
                root.hide();
            }
        }
    }

    function show() {
        visible = true;
    }
    function hide() {
        visible = false;
    }
}
