import QtQuick 1.1

Image {
    id: container
    property bool on: false

    source: "../../images/busy.png"; visible: container.on

    NumberAnimation on rotation {
        running: container.on; from: 0; to: 360; loops: Animation.Infinite; duration: 700
    }
    function start() {
        on = true;
    }

    function stop() {
        on = false;
    }
}
