Qt.include('httplib.js')

function load_top20_by_chips() {
    var args = {};
    args.headers = {
     "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("proto=" + myApp.getWebPortalProtocalVersion());
    args.options.push("u=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("p=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("version=" + myApp.getVersionInfo());
    var a = post("http://holdem2.piegames.net/leaderboards.php", args);
    a.onDone.push(function(value, info) {
        myApp.leaderboardsGotTop20(value);
    });
    a.onError.push(function(error, info) {
        myApp.leaderboardsGotDataFailed(error);
    });
}

function load_billboard() {
    var args = {};
    args.headers = {
     "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("proto=1.0");
    args.options.push("u=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("p=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("version=" + myApp.getVersionInfo());
    args.options.push("lang=en");
    args.options.push("game=holdem2");
    args.options.push("action=billboard");
    var a = get("http://w.piegames.net/support.php", args);
    a.onDone.push(function(value, info) {
        myApp.supportGotBillboard(value);
    });
    a.onError.push(function(error, info) {
        //myApp.leaderboardsGotDataFailed(error);
        console.log("error");
        return null;
    });
}

function load_qa() {
    var args = {};
    args.headers = {
     "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("proto=1.0");
    args.options.push("u=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("p=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("version=" + myApp.getVersionInfo());
    args.options.push("lang=en");
    args.options.push("game=holdem2");
    args.options.push("action=all");
    var a = get("http://w.piegames.net/support.php", args);
    a.onDone.push(function(value, info) {
        myApp.supportGotAll(value);
    });
    a.onError.push(function(error, info) {
        //myApp.leaderboardsGotDataFailed(error);
        console.log("error");
        return null;
    });
}

function load_my_qa() {
    var args = {};
    args.headers = {
     "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("proto=1.0");
    args.options.push("u=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("p=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("version=" + myApp.getVersionInfo());
    args.options.push("lang=en");
    args.options.push("game=holdem2");
    args.options.push("action=my");
    var a = get("http://w.piegames.net/support.php", args);
    a.onDone.push(function(value, info) {
        myApp.supportGotMy(value);
    });
    a.onError.push(function(error, info) {
        //myApp.leaderboardsGotDataFailed(error);
        console.log("error");
        return null;
    });
}

function send_my_q(txt) {
    var args = {};
    args.headers = {
     "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("proto=1.0");
    args.options.push("u=" + encodeURIComponent(myApp.loginLoadUsername()));
    args.options.push("p=" + encodeURIComponent(myApp.loginGetPasswordHash()));
    args.options.push("version=" + myApp.getVersionInfo());
    args.options.push("lang=en");
    args.options.push("game=holdem2");
    args.options.push("action=submit_q");
    args.options.push("q=" + txt);
    var a = get("http://w.piegames.net/support.php", args);
    a.onDone.push(function(value, info) {
        myApp.supportSentMyQ();
    });
    a.onError.push(function(error, info) {
        //myApp.leaderboardsGotDataFailed(error);
        console.log("error");
        return null;
    });
}
