import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 400
    height: 100
    property alias icon_busy: busyIcon
    property alias label_info: txtInfo
    MouseArea {
        anchors.fill: parent
        onClicked: {
            hide();
        }
    }

    Rectangle {
        anchors.fill: parent
        color: "black"
        radius: 6
        border.width: 1
        border.color: "white"
        //left girl
        BusyIndicator {
            id: busyIcon
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 10
            width: 60
            height: width
        }

        Text {
            id: txtInfo
            text: qsTr("teasdfasdfxt")
            anchors.top: busyIcon.bottom
            anchors.topMargin: 4
            width: parent.width
            horizontalAlignment: Text.AlignHCenter
            color: "white"
        }
    }
    function show(s) {
        busyIcon.start();
        txtInfo.text = s;
        visible = true;
    }

    function hide() {
        busyIcon.stop();
        visible = false;
        txtInfo.text = "";
    }
}
