import QtQuick 1.1
import "../common"

Rectangle {
    id: root
    anchors.fill: parent
    color: "black"

    //Label
    Text {
        id: lblTitle
        text: qsTr("Support")
        font.pixelSize: 16
        color: "white"
        font.bold: true
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 6
    }


    //close button
    ImageButton {
        id: btnClose
        height: 36
        width: height
        source: "../../images/MainMenu/close.png"
        anchors.right: parent.right
        anchors.rightMargin: 4
        anchors.top: parent.top
        anchors.topMargin: 4
        onClicked: {
            myApp.goMainMenuPage();
        }
    }

    QAList {
        width: parent.width
        height: parent.height - btnClose.height
        anchors.top:  btnClose.bottom
        anchors.left: parent.left
    }

}
