import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 70
    height: 20
    property variant value: 0
    property alias text: txt
    visible:  false
    onValueChanged: {
        txt.text = myApp.getFormattedNumber(value);
        visible = value > 0;
    }

    Rectangle {
        radius: 6
        anchors.fill: parent
        color: "#ff4d07"
    }
    Text {
        id: txt
        text: qsTr("")
        font.pixelSize: root.font_size
        color: "white"
        width: parent.width
        height: parent.height
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
    }
}
