import QtQuick 1.1

Item {
    width: 48
    height: 48
    id: root
    signal clicked()
    signal pressed()
    property alias source: img.source

    Image {
        id: img
        width: parent.width
        height: parent.height
        source: ""
        anchors.fill: parent
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            root.clicked()
        }
        onPressed: {
            root.pressed();
        }
    }
}
